path: /build/build/shaderc-media-libs-2024.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test" emerge media-libs/shaderc -pv -t && \
    USE="-doc -test" emerge -j ${JOBS} --nodeps media-libs/shaderc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/shaderc && luet-portage --dir /pkgdir/shaderc
    media-libs/shaderc && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:40ada8868238b7891a535e3702ea5788f9f66f3df393069662a8a93bfdc0ebb7
  package:
    name: shaderc
    version: "2024.1"
    category: media-libs
    use_flags:
    - -doc
    - -test
    requires:
    - name: libldac
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Collection of tools, libraries and tests for shader compilation
    uri:
    - https://github.com/shaderc/google
    license: Apache-2.0
    buildtimestamp: 2024-05-22 10:33:50.81294286 +0000 UTC m=+622.265008245
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: dev-util/glslang dev-util/spirv-tools || ( dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/spirv-headers doc? ( dev-ruby/asciidoctor
        ) test? ( dev-cpp/gtest || ( ( dev-lang/python:3.8 dev-python/nose[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/nose[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/nose[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 dev-python/nose[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) )
      IUSE: doc test
      RDEPEND: dev-util/glslang dev-util/spirv-tools
      emerge.packages: media-libs/shaderc
      kit: media-kit
      original.package.name: media-libs/shaderc
      original.package.slot: "0"
      original.package.version: "2024.1"
    treedir: /build/packages
  package_dir: /pkgdir/shaderc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 11c683c506b27b08b74a0cb2abd9a9e52ddbc266515d395047f78bd51138022b
compressiontype: zstd
files:
- usr/bin/glslc
- usr/include/shaderc/env.h
- usr/include/shaderc/shaderc.h
- usr/include/shaderc/shaderc.hpp
- usr/include/shaderc/status.h
- usr/include/shaderc/visibility.h
- usr/lib64/libshaderc.a
- usr/lib64/libshaderc_combined.a
- usr/lib64/libshaderc_shared.so
- usr/lib64/libshaderc_shared.so.1
- usr/lib64/pkgconfig/shaderc.pc
- usr/lib64/pkgconfig/shaderc_combined.pc
- usr/lib64/pkgconfig/shaderc_static.pc
- usr/share/doc/shaderc-2024.1/AUTHORS.bz2
- usr/share/doc/shaderc-2024.1/CHANGES.bz2
- usr/share/doc/shaderc-2024.1/README.md.bz2
- var/db/pkg/media-libs/shaderc-2024.1/BDEPEND
- var/db/pkg/media-libs/shaderc-2024.1/BUILD_TIME
- var/db/pkg/media-libs/shaderc-2024.1/CATEGORY
- var/db/pkg/media-libs/shaderc-2024.1/CBUILD
- var/db/pkg/media-libs/shaderc-2024.1/CFLAGS
- var/db/pkg/media-libs/shaderc-2024.1/CHOST
- var/db/pkg/media-libs/shaderc-2024.1/CONTENTS
- var/db/pkg/media-libs/shaderc-2024.1/COUNTER
- var/db/pkg/media-libs/shaderc-2024.1/CXXFLAGS
- var/db/pkg/media-libs/shaderc-2024.1/DEFINED_PHASES
- var/db/pkg/media-libs/shaderc-2024.1/DEPEND
- var/db/pkg/media-libs/shaderc-2024.1/DESCRIPTION
- var/db/pkg/media-libs/shaderc-2024.1/EAPI
- var/db/pkg/media-libs/shaderc-2024.1/FEATURES
- var/db/pkg/media-libs/shaderc-2024.1/HOMEPAGE
- var/db/pkg/media-libs/shaderc-2024.1/INHERITED
- var/db/pkg/media-libs/shaderc-2024.1/IUSE
- var/db/pkg/media-libs/shaderc-2024.1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/shaderc-2024.1/KEYWORDS
- var/db/pkg/media-libs/shaderc-2024.1/LDFLAGS
- var/db/pkg/media-libs/shaderc-2024.1/LICENSE
- var/db/pkg/media-libs/shaderc-2024.1/NEEDED
- var/db/pkg/media-libs/shaderc-2024.1/PF
- var/db/pkg/media-libs/shaderc-2024.1/PROVIDES
- var/db/pkg/media-libs/shaderc-2024.1/RDEPEND
- var/db/pkg/media-libs/shaderc-2024.1/REQUIRES
- var/db/pkg/media-libs/shaderc-2024.1/RESTRICT
- var/db/pkg/media-libs/shaderc-2024.1/SIZE
- var/db/pkg/media-libs/shaderc-2024.1/SLOT
- var/db/pkg/media-libs/shaderc-2024.1/USE
- var/db/pkg/media-libs/shaderc-2024.1/environment.bz2
- var/db/pkg/media-libs/shaderc-2024.1/repository
- var/db/pkg/media-libs/shaderc-2024.1/shaderc-2024.1.ebuild
package_cacheimage: ""
runtime:
  name: shaderc
  version: "2024.1"
  category: media-libs
  use_flags:
  - -doc
  - -test
  requires:
  - name: glslang
    version: '>=0'
    category: dev-util
  - name: spirv-tools
    version: '>=0'
    category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Collection of tools, libraries and tests for shader compilation
  uri:
  - https://github.com/shaderc/google
  license: Apache-2.0
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: dev-util/glslang dev-util/spirv-tools || ( dev-lang/python:3.8 dev-lang/python:3.9
      dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/spirv-headers doc? ( dev-ruby/asciidoctor
      ) test? ( dev-cpp/gtest || ( ( dev-lang/python:3.8 dev-python/nose[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/nose[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/nose[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 dev-python/nose[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) )
    IUSE: doc test
    RDEPEND: dev-util/glslang dev-util/spirv-tools
    emerge.packages: media-libs/shaderc
    kit: media-kit
    original.package.name: media-libs/shaderc
    original.package.slot: "0"
    original.package.version: "2024.1"
